package com.ruoyi.rocketmq.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 告警记录对象 rm_alarm_record
 * 
 * @author gyt
 * @date 2025-09-12
 */
public class RmAlarmRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 客户端ID/设备ID */
    @Excel(name = "客户端ID/设备ID")
    private String clientId;

    /** 资源名称 */
    @Excel(name = "资源名称")
    private String resourceName;

    /** 源IP地址 */
    @Excel(name = "源IP地址")
    private String sourceIp;

    /** 告警发生时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "告警发生时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date occurTime;

    /** 告警详细内容 */
    @Excel(name = "告警详细内容")
    private String content;

    /** 重复告警次数 */
    @Excel(name = "重复告警次数")
    private Long repeatCount;

    /** 状态：0-未处理，1-已处理 */
    @Excel(name = "状态：0-未处理，1-已处理")
    private String status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setClientId(String clientId) 
    {
        this.clientId = clientId;
    }

    public String getClientId() 
    {
        return clientId;
    }

    public void setResourceName(String resourceName) 
    {
        this.resourceName = resourceName;
    }

    public String getResourceName() 
    {
        return resourceName;
    }

    public void setSourceIp(String sourceIp) 
    {
        this.sourceIp = sourceIp;
    }

    public String getSourceIp() 
    {
        return sourceIp;
    }

    public void setOccurTime(Date occurTime) 
    {
        this.occurTime = occurTime;
    }

    public Date getOccurTime() 
    {
        return occurTime;
    }

    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }

    public void setRepeatCount(Long repeatCount) 
    {
        this.repeatCount = repeatCount;
    }

    public Long getRepeatCount() 
    {
        return repeatCount;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("clientId", getClientId())
            .append("resourceName", getResourceName())
            .append("sourceIp", getSourceIp())
            .append("occurTime", getOccurTime())
            .append("content", getContent())
            .append("repeatCount", getRepeatCount())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
